SDL_CreateThread(3)

NAME
SDL_CreateThread - Creates a new thread of execution that shares its parent's properties.

SYNOPSIS

#include "SDL.h" #include "SDL_thread.h"

SDL_Thread *SDL_CreateThread(int (*fn)(void *), void *data);

DESCRIPTION

SDL_CreateThread creates a new thread of execution that shares all of its parent's global memory, signal handlers, file descriptors, etc, and runs the function fn passed the void pointer data The thread quits when this function returns.

SEE ALSO

SDL_KillThread